Fix INSTALL scripts so that the principal action is not executed

twice at install time.  Also remove yet another instance of that
action from the package list.
This commit is contained in:
naddy 2003-06-17 23:09:00 +00:00
parent f19205eb1b
commit ab19abe385
3 changed files with 53 additions and 9 deletions

View File

@ -1,12 +1,35 @@
#!/bin/sh
#
# $OpenBSD: INSTALL,v 1.2 2003/02/04 22:59:48 naddy Exp $
# $OpenBSD: INSTALL,v 1.3 2003/06/17 23:09:00 naddy Exp $
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
if [ ! -e /usr/lib/sasl ]; then
ln -s ${PREFIX}/lib/sasl /usr/lib/sasl
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ ! -e /usr/lib/sasl ]; then
ln -s ${PREFIX}/lib/sasl /usr/lib/sasl
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PFRAG.shared,v 1.4 2001/11/15 23:17:59 jakob Exp $
@comment $OpenBSD: PFRAG.shared,v 1.5 2003/06/17 23:09:00 naddy Exp $
lib/libsasl.so.8.10
lib/sasl/libanonymous.so.1.16
lib/sasl/libcrammd5.so.1.17
@ -15,8 +15,6 @@ DYNLIBDIR(%D/lib)
@unexec rm -f %D/lib/sasl/libkerberos4.so
@unexec rm -f %D/lib/sasl/liblogin.so
@unexec rm -f %D/lib/sasl/libplain.so
@unexec rm /usr/lib/sasl
@exec ln -sf %D/lib/sasl /usr/lib/sasl
@exec cd %D/lib/sasl && ln -sf libanonymous.so.1.16 libanonymous.so
@exec cd %D/lib/sasl && ln -sf libcrammd5.so.1.17 libcrammd5.so
@exec cd %D/lib/sasl && ln -sf libdigestmd5.so.0.19 libdigestmd5.so

View File

@ -1,12 +1,35 @@
#!/bin/sh
#
# $OpenBSD: INSTALL,v 1.2 2003/02/04 22:59:48 naddy Exp $
# $OpenBSD: INSTALL,v 1.3 2003/06/17 23:09:00 naddy Exp $
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
if [ ! -e /usr/lib/sasl2 ]; then
ln -s ${PREFIX}/lib/sasl2 /usr/lib/sasl2
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ ! -e /usr/lib/sasl2 ]; then
ln -s ${PREFIX}/lib/sasl2 /usr/lib/sasl2
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0